﻿Namespace My
    Partial Friend Class MyApplication
        Private pasGenFunctions As New pasGenHelper.pasGenFunc
        Private Sub MyApplication_Startup(sender As Object, e As ApplicationServices.StartupEventArgs) Handles Me.Startup
            If My.Settings.upgradeSettings Then
                My.Settings.Upgrade()
                My.Settings.upgradeSettings = False
            End If
            pasGenFunctions.SetLanguage()
            Using logInForm As New frmLogin
                If My.Settings.checkMaster = "" Then
                    logInForm.btnLogin.Text = My.Resources.strRegister
                Else
                    logInForm.btnLogin.Text = My.Resources.strLogin
                End If
                If logInForm.ShowDialog() <> DialogResult.OK Then
                    End
                End If
            End Using
        End Sub
        Private Sub MyApplication_StartupNextInstance(sender As Object, e As ApplicationServices.StartupNextInstanceEventArgs) Handles Me.StartupNextInstance
            If frmMain.Visible Then
                e.BringToForeground = True
            Else
                Using logInForm As New frmLogin
                    logInForm.btnLogin.Text = My.Resources.btnLogin
                    If logInForm.ShowDialog() = Windows.Forms.DialogResult.OK Then
                        frmMain.Visible = True
                        e.BringToForeground = True
                        logInForm.Focus()
                        If My.Settings.frmAutoHide Then
                            frmMain.tmrMain.Start()
                        End If
                    End If
                End Using
            End If
        End Sub
    End Class
End Namespace

